Name: mod_security
Version: 1.8.7
Release: alt3

Summary: Tighten web applications security for Apache 1.3
License: GPL
Group: System/Servers

Url: http://www.modsecurity.org
Source0: %url/download/modsecurity-%version.tar.gz
Source1: %name.conf
Source2: %name-apache2.conf
Source3: %name-README.ALT

Requires: apache
# Automatically added by buildreq on Thu Sep 01 2005
BuildRequires: apache-devel apache2-devel libapr-devel libaprutil-devel

%description
Mod_security is an Apache 1.x/2.x module whose purpose is to tighten the Web
application security. Effectively, it is an intrusion detection and prevention
system for the web server.

At the moment its main features are:
* Audit log; store full request details in a separate file, including POST
payloads.
* Request filtering; incoming requests can be analysed and offensive requests
can be rejected (or simply logged, if that is what you want). This feature
can be used to prevent many types of attacks (e.g. XSS attacks, SQL
injection, ...) and even allow you to run insecure applications on your
servers (if you have no other choice, of course).

%package -n apache2-%name
Summary: Tighten web applications security for Apache 2.X
Group: System/Servers
Requires: apache2

%description -n apache2-%name
Mod_security is an Apache 1.x/2.x module whose purpose is to tighten the Web
application security. Effectively, it is an intrusion detection and prevention
system for the web server.

At the moment its main features are:
* Audit log; store full request details in a separate file, including POST
payloads.
* Request filtering; incoming requests can be analysed and offensive requests
can be rejected (or simply logged, if that is what you want). This feature
can be used to prevent many types of attacks (e.g. XSS attacks, SQL
injection, ...) and even allow you to run insecure applications on your
servers (if you have no other choice, of course).

%package doc
Summary: Documentation for %name module
Group: System/Servers

%description doc
%summary

%prep
%setup -q -n modsecurity-%version

%build
%_sbindir/apxs -c apache1/mod_security.c
%_sbindir/apxs2 -c apache2/mod_security.c

%install
%__install -pD -m644 apache1/%name.so %buildroot%_libdir/apache/%name.so
%__install -pD -m644 apache2/.libs/%name.so %buildroot%a_libexecdir/%name.so
%__install -pD -m644 %SOURCE1 %buildroot%_sysconfdir/httpd/conf/addon-modules.d/%name.conf
%__install -pD -m644 %SOURCE2 %buildroot%_sysconfdir/httpd2/conf/addon.d/%name.conf

%post
# fix stale actions (alt1)
%__subst "/Include conf\/addon-modules\/mod_security.conf/d" %apache_confdir/httpd.conf
%_sbindir/apachectl reload

%postun
%_sbindir/apachectl reload

%post -n apache2-%name
%_sbindir/apachectl2 reload

%postun -n apache2-%name
%_sbindir/apachectl2 reload

%files
%_libdir/apache/%name.so
%config(noreplace) %_sysconfdir/httpd/conf/addon-modules.d/%name.conf

%files -n apache2-%name
%a_libexecdir/%name.so
%config(noreplace) %_sysconfdir/httpd2/conf/addon.d/%name.conf

%files doc
%doc CHANGES README* modsecurity-manual.pdf httpd.conf.example-minimal httpd.conf.regression-v1
%doc httpd.conf.regression-v2
%doc util
%doc tests

%changelog
* Thu Sep 01 2005 Vladimir V Kamarzin <vvk@altlinux.ru> 1.8.7-alt3
- splited to several parts by reason:
- now building module for apache2 also
- minor spec cleanup
- changed Group

* Wed Aug 24 2005 Vladimir V Kamarzin <vvk@altlinux.ru> 1.8.7-alt2
- fixed config installation (should really go to addonconfdir.d/) (thanks to mike@)
- remove previous config inclusion from httpd.conf (thanks to mike@)
- minor spec cleanup
- added README.ALT (mike@)

* Wed Jul 20 2005 Vladimir V Kamarzin <vvk@altlinux.ru> 1.8.7-alt1
- Initial build for Sisyphus
